package com.mall.member.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "MemberCollectSpuDTO对象", title = "会员收藏的商品", description = "会员收藏的商品的DTO对象")
public class MemberCollectSpuDto {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "memberId", title = "会员id")
    private Long memberId;

    @Schema(name = "spuId", title = "spu_id")
    private Long spuId;

    @Schema(name = "spuName", title = "spu_name")
    private String spuName;

    @Schema(name = "spuImg", title = "spu_img")
    private String spuImg;

    @Schema(name = "createTime", title = "create_time")
    private LocalDateTime createTime;

}