package com.mall.member.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "MemberLoginLogDTO对象", title = "会员登录记录", description = "会员登录记录的DTO对象")
public class MemberLoginLogDto {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "memberId", title = "member_id")
    private Long memberId;

    @Schema(name = "createTime", title = "创建时间")
    private LocalDateTime createTime;

    @Schema(name = "ip", title = "ip")
    private String ip;

    @Schema(name = "city", title = "city")
    private String city;

    @Schema(name = "loginType", title = "登录类型[1-web，2-app]")
    private Boolean loginType;

}