package com.mall.member.domain.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@Accessors(chain = true)
@TableName("ums_growth_change_history")
@Schema(name = "GrowthChangeHistory对象", title = "成长值变化历史记录", description = "成长值变化历史记录的实体类对象")
public class GrowthChangeHistory {

    @Schema(name = "id", title = "id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "memberId", title = "member_id")
    private Long memberId;

    @Schema(name = "createTime", title = "create_time")
    private LocalDateTime createTime;

    @Schema(name = "changeCount", title = "改变的值（正负计数）")
    private Integer changeCount;

    @Schema(name = "note", title = "备注")
    private String note;

    @Schema(name = "sourceType", title = "积分来源[0-购物，1-管理员修改]")
    private Integer sourceType;

}