package com.mall.member.domain.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@Accessors(chain = true)
@TableName("ums_member_receive_address")
@Schema(name = "MemberReceiveAddress对象", title = "会员收货地址", description = "会员收货地址的实体类对象")
public class MemberReceiveAddress {

    @Schema(name = "id", title = "id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "memberId", title = "member_id")
    private Long memberId;

    @Schema(name = "name", title = "收货人姓名")
    private String name;

    @Schema(name = "phone", title = "电话")
    private String phone;

    @Schema(name = "postCode", title = "邮政编码")
    private String postCode;

    @Schema(name = "province", title = "省份/直辖市")
    private String province;

    @Schema(name = "city", title = "城市")
    private String city;

    @Schema(name = "region", title = "区")
    private String region;

    @Schema(name = "detailAddress", title = "详细地址(街道)")
    private String detailAddress;

    @Schema(name = "areacode", title = "省市区代码")
    private String areacode;

    @Schema(name = "defaultStatus", title = "是否默认")
    private Boolean defaultStatus;

}