package com.mall.member.domain.vo;

import java.util.Date;
import java.math.BigDecimal;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "MemberLevelVO对象", title = "会员等级", description = "会员等级的VO对象")
public class MemberLevelVo {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "name", title = "等级名称")
    private String name;

    @Schema(name = "growthPoint", title = "等级需要的成长值")
    private Integer growthPoint;

    @Schema(name = "defaultStatus", title = "是否为默认等级[0->不是；1->是]")
    private Integer defaultStatus;

    @Schema(name = "freeFreightPoint", title = "免运费标准")
    private BigDecimal freeFreightPoint;

    @Schema(name = "commentGrowthPoint", title = "每次评价获取的成长值")
    private Integer commentGrowthPoint;

    @Schema(name = "priviledgeFreeFreight", title = "是否有免邮特权")
    private Integer priviledgeFreeFreight;

    @Schema(name = "priviledgeMemberPrice", title = "是否有会员价格特权")
    private Integer priviledgeMemberPrice;

    @Schema(name = "priviledgeBirthday", title = "是否有生日特权")
    private Integer priviledgeBirthday;

    @Schema(name = "note", title = "备注")
    private String note;

}

