package com.mall.member.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import com.mall.member.domain.dto.IntegrationChangeHistoryDto;
import com.mall.member.domain.entity.IntegrationChangeHistory;
import com.mall.member.domain.vo.IntegrationChangeHistoryVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 积分变化历史记录 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 19:30:06
 */
@Mapper
public interface IntegrationChangeHistoryMapper extends BaseMapper<IntegrationChangeHistory> {

    /**
     * * 分页查询积分变化历史记录内容
     *
     * @param pageParams 积分变化历史记录分页参数
     * @param dto        积分变化历史记录查询表单
     * @return 积分变化历史记录分页结果
     */
    IPage<IntegrationChangeHistoryVo> selectListByPage(@Param("page") Page<IntegrationChangeHistory> pageParams, @Param("dto") IntegrationChangeHistoryDto dto);

}
