package com.mall.member.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import com.mall.member.domain.dto.MemberCollectSpuDto;
import com.mall.member.domain.entity.MemberCollectSpu;
import com.mall.member.domain.vo.MemberCollectSpuVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 会员收藏的商品 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 19:30:06
 */
@Mapper
public interface MemberCollectSpuMapper extends BaseMapper<MemberCollectSpu> {

    /**
     * * 分页查询会员收藏的商品内容
     *
     * @param pageParams 会员收藏的商品分页参数
     * @param dto        会员收藏的商品查询表单
     * @return 会员收藏的商品分页结果
     */
    IPage<MemberCollectSpuVo> selectListByPage(@Param("page") Page<MemberCollectSpu> pageParams, @Param("dto") MemberCollectSpuDto dto);

}
