package com.mall.member.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import com.mall.member.domain.dto.MemberCollectSubjectDto;
import com.mall.member.domain.entity.MemberCollectSubject;
import com.mall.member.domain.vo.MemberCollectSubjectVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 会员收藏的专题活动 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 19:30:06
 */
@Mapper
public interface MemberCollectSubjectMapper extends BaseMapper<MemberCollectSubject> {

    /**
     * * 分页查询会员收藏的专题活动内容
     *
     * @param pageParams 会员收藏的专题活动分页参数
     * @param dto        会员收藏的专题活动查询表单
     * @return 会员收藏的专题活动分页结果
     */
    IPage<MemberCollectSubjectVo> selectListByPage(@Param("page") Page<MemberCollectSubject> pageParams, @Param("dto") MemberCollectSubjectDto dto);

}
