package com.mall.member.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import com.mall.member.domain.dto.MemberLevelDto;
import com.mall.member.domain.entity.MemberLevel;
import com.mall.member.domain.vo.MemberLevelVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 会员等级 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 19:30:06
 */
@Mapper
public interface MemberLevelMapper extends BaseMapper<MemberLevel> {

    /**
     * * 分页查询会员等级内容
     *
     * @param pageParams 会员等级分页参数
     * @param dto        会员等级查询表单
     * @return 会员等级分页结果
     */
    IPage<MemberLevelVo> selectListByPage(@Param("page") Page<MemberLevel> pageParams, @Param("dto") MemberLevelDto dto);

}
