package com.mall.member.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import com.mall.member.domain.dto.MemberLoginLogDto;
import com.mall.member.domain.entity.MemberLoginLog;
import com.mall.member.domain.vo.MemberLoginLogVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 会员登录记录 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 19:30:06
 */
@Mapper
public interface MemberLoginLogMapper extends BaseMapper<MemberLoginLog> {

    /**
     * * 分页查询会员登录记录内容
     *
     * @param pageParams 会员登录记录分页参数
     * @param dto        会员登录记录查询表单
     * @return 会员登录记录分页结果
     */
    IPage<MemberLoginLogVo> selectListByPage(@Param("page") Page<MemberLoginLog> pageParams, @Param("dto") MemberLoginLogDto dto);

}
