package com.mall.member.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.member.domain.dto.IntegrationChangeHistoryDto;
import com.mall.member.domain.entity.IntegrationChangeHistory;
import com.mall.member.domain.vo.IntegrationChangeHistoryVo;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.common.domain.vo.result.Result;
import com.mall.common.domain.vo.result.ResultCodeEnum;

import java.util.List;

/**
 * <p>
 * 积分变化历史记录 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 19:30:06
 */
public interface IntegrationChangeHistoryService extends IService<IntegrationChangeHistory> {

    /**
     * 分页查询积分变化历史记录
     *
     * @return {@link IntegrationChangeHistoryVo}
     */
    PageResult<IntegrationChangeHistoryVo> getIntegrationChangeHistoryPage(Page<IntegrationChangeHistory> pageParams, IntegrationChangeHistoryDto dto);

    /**
     * 添加积分变化历史记录
     *
     * @param dto {@link IntegrationChangeHistoryDto} 添加表单
     */
    void addIntegrationChangeHistory(IntegrationChangeHistoryDto dto);

    /**
     * 更新积分变化历史记录
     *
     * @param dto {@link IntegrationChangeHistoryDto} 更新表单
     */
    void updateIntegrationChangeHistory(IntegrationChangeHistoryDto dto);

    /**
     * 删除|批量删除积分变化历史记录类型
     *
     * @param ids 删除id列表
     */
    void deleteIntegrationChangeHistory(List<Long> ids);
}
