package com.mall.member.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.member.domain.dto.MemberCollectSpuDto;
import com.mall.member.domain.entity.MemberCollectSpu;
import com.mall.member.domain.vo.MemberCollectSpuVo;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.common.domain.vo.result.Result;
import com.mall.common.domain.vo.result.ResultCodeEnum;

import java.util.List;

/**
 * <p>
 * 会员收藏的商品 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 19:30:06
 */
public interface MemberCollectSpuService extends IService<MemberCollectSpu> {

    /**
     * 分页查询会员收藏的商品
     *
     * @return {@link MemberCollectSpuVo}
     */
    PageResult<MemberCollectSpuVo> getMemberCollectSpuPage(Page<MemberCollectSpu> pageParams, MemberCollectSpuDto dto);

    /**
     * 添加会员收藏的商品
     *
     * @param dto {@link MemberCollectSpuDto} 添加表单
     */
    void addMemberCollectSpu(MemberCollectSpuDto dto);

    /**
     * 更新会员收藏的商品
     *
     * @param dto {@link MemberCollectSpuDto} 更新表单
     */
    void updateMemberCollectSpu(MemberCollectSpuDto dto);

    /**
     * 删除|批量删除会员收藏的商品类型
     *
     * @param ids 删除id列表
     */
    void deleteMemberCollectSpu(List<Long> ids);
}
