package com.mall.order.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "OrderItemDTO对象", title = "订单项信息", description = "订单项信息的DTO对象")
public class OrderItemDto {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "orderId", title = "order_id")
    private Long orderId;

    @Schema(name = "orderSn", title = "order_sn")
    private String orderSn;

    @Schema(name = "spuId", title = "spu_id")
    private Long spuId;

    @Schema(name = "spuName", title = "spu_name")
    private String spuName;

    @Schema(name = "spuPic", title = "spu_pic")
    private String spuPic;

    @Schema(name = "spuBrand", title = "品牌")
    private String spuBrand;

    @Schema(name = "categoryId", title = "商品分类id")
    private Long categoryId;

    @Schema(name = "skuId", title = "商品sku编号")
    private Long skuId;

    @Schema(name = "skuName", title = "商品sku名字")
    private String skuName;

    @Schema(name = "skuPic", title = "商品sku图片")
    private String skuPic;

    @Schema(name = "skuPrice", title = "商品sku价格")
    private BigDecimal skuPrice;

    @Schema(name = "skuQuantity", title = "商品购买的数量")
    private Integer skuQuantity;

    @Schema(name = "skuAttrsVals", title = "商品销售属性组合（JSON）")
    private String skuAttrsVals;

    @Schema(name = "promotionAmount", title = "商品促销分解金额")
    private BigDecimal promotionAmount;

    @Schema(name = "couponAmount", title = "优惠券优惠分解金额")
    private BigDecimal couponAmount;

    @Schema(name = "integrationAmount", title = "积分优惠分解金额")
    private BigDecimal integrationAmount;

    @Schema(name = "realAmount", title = "该商品经过优惠后的分解金额")
    private BigDecimal realAmount;

    @Schema(name = "giftIntegration", title = "赠送积分")
    private Integer giftIntegration;

    @Schema(name = "giftGrowth", title = "赠送成长值")
    private Integer giftGrowth;

}