package com.mall.order.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "RefundInfoDTO对象", title = "退款信息", description = "退款信息的DTO对象")
public class RefundInfoDto {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "orderReturnId", title = "退款的订单")
    private Long orderReturnId;

    @Schema(name = "refund", title = "退款金额")
    private BigDecimal refund;

    @Schema(name = "refundSn", title = "退款交易流水号")
    private String refundSn;

    @Schema(name = "refundStatus", title = "退款状态")
    private Boolean refundStatus;

    @Schema(name = "refundChannel", title = "退款渠道[1-支付宝，2-微信，3-银联，4-汇款]")
    private Integer refundChannel;

    @Schema(name = "refundContent", title = "")
    private String refundContent;

}