package com.mall.order.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mall.order.domain.dto.MqMessageDto;
import com.mall.order.domain.entity.MqMessage;
import com.mall.order.domain.vo.MqMessageVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 18:54:06
 */
@Mapper
public interface MqMessageMapper extends BaseMapper<MqMessage> {

    /**
     * * 分页查询内容
     *
     * @param pageParams 分页参数
     * @param dto        查询表单
     * @return 分页结果
     */
    IPage<MqMessageVo> selectListByPage(@Param("page") Page<MqMessage> pageParams, @Param("dto") MqMessageDto dto);

}
