package com.mall.order.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mall.order.domain.dto.OrderItemDto;
import com.mall.order.domain.entity.OrderItem;
import com.mall.order.domain.vo.OrderItemVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 订单项信息 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 18:54:06
 */
@Mapper
public interface OrderItemMapper extends BaseMapper<OrderItem> {

    /**
     * * 分页查询订单项信息内容
     *
     * @param pageParams 订单项信息分页参数
     * @param dto        订单项信息查询表单
     * @return 订单项信息分页结果
     */
    IPage<OrderItemVo> selectListByPage(@Param("page") Page<OrderItem> pageParams, @Param("dto") OrderItemDto dto);

}
