package com.mall.order.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mall.order.domain.dto.OrderDto;
import com.mall.order.domain.entity.Order;
import com.mall.order.domain.vo.OrderVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 订单 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 18:54:06
 */
@Mapper
public interface OrderMapper extends BaseMapper<Order> {

    /**
     * * 分页查询订单内容
     *
     * @param pageParams 订单分页参数
     * @param dto        订单查询表单
     * @return 订单分页结果
     */
    IPage<OrderVo> selectListByPage(@Param("page") Page<Order> pageParams, @Param("dto") OrderDto dto);

}
