package com.mall.order.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mall.order.domain.dto.OrderOperateHistoryDto;
import com.mall.order.domain.entity.OrderOperateHistory;
import com.mall.order.domain.vo.OrderOperateHistoryVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 订单操作历史记录 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 18:54:06
 */
@Mapper
public interface OrderOperateHistoryMapper extends BaseMapper<OrderOperateHistory> {

    /**
     * * 分页查询订单操作历史记录内容
     *
     * @param pageParams 订单操作历史记录分页参数
     * @param dto        订单操作历史记录查询表单
     * @return 订单操作历史记录分页结果
     */
    IPage<OrderOperateHistoryVo> selectListByPage(@Param("page") Page<OrderOperateHistory> pageParams, @Param("dto") OrderOperateHistoryDto dto);

}
