package com.mall.order.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.order.domain.dto.OrderItemDto;
import com.mall.order.domain.entity.OrderItem;
import com.mall.order.domain.vo.OrderItemVo;

import java.util.List;

/**
 * <p>
 * 订单项信息 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 18:54:06
 */
public interface OrderItemService extends IService<OrderItem> {

    /**
     * 分页查询订单项信息
     *
     * @return {@link OrderItemVo}
     */
    PageResult<OrderItemVo> getOrderItemPage(Page<OrderItem> pageParams, OrderItemDto dto);

    /**
     * 添加订单项信息
     *
     * @param dto {@link OrderItemDto} 添加表单
     */
    void addOrderItem(OrderItemDto dto);

    /**
     * 更新订单项信息
     *
     * @param dto {@link OrderItemDto} 更新表单
     */
    void updateOrderItem(OrderItemDto dto);

    /**
     * 删除|批量删除订单项信息类型
     *
     * @param ids 删除id列表
     */
    void deleteOrderItem(List<Long> ids);
}
