package com.mall.order.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.order.domain.dto.OrderDto;
import com.mall.order.domain.entity.Order;
import com.mall.order.domain.vo.OrderVo;

import java.util.List;

/**
 * <p>
 * 订单 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 18:54:06
 */
public interface OrderService extends IService<Order> {

    /**
     * 分页查询订单
     *
     * @return {@link OrderVo}
     */
    PageResult<OrderVo> getOrderPage(Page<Order> pageParams, OrderDto dto);

    /**
     * 添加订单
     *
     * @param dto {@link OrderDto} 添加表单
     */
    void addOrder(OrderDto dto);

    /**
     * 更新订单
     *
     * @param dto {@link OrderDto} 更新表单
     */
    void updateOrder(OrderDto dto);

    /**
     * 删除|批量删除订单类型
     *
     * @param ids 删除id列表
     */
    void deleteOrder(List<Long> ids);
}
