package com.mall.order.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.order.domain.dto.OrderSettingDto;
import com.mall.order.domain.entity.OrderSetting;
import com.mall.order.domain.vo.OrderSettingVo;

import java.util.List;

/**
 * <p>
 * 订单配置信息 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 18:54:06
 */
public interface OrderSettingService extends IService<OrderSetting> {

    /**
     * 分页查询订单配置信息
     *
     * @return {@link OrderSettingVo}
     */
    PageResult<OrderSettingVo> getOrderSettingPage(Page<OrderSetting> pageParams, OrderSettingDto dto);

    /**
     * 添加订单配置信息
     *
     * @param dto {@link OrderSettingDto} 添加表单
     */
    void addOrderSetting(OrderSettingDto dto);

    /**
     * 更新订单配置信息
     *
     * @param dto {@link OrderSettingDto} 更新表单
     */
    void updateOrderSetting(OrderSettingDto dto);

    /**
     * 删除|批量删除订单配置信息类型
     *
     * @param ids 删除id列表
     */
    void deleteOrderSetting(List<Long> ids);
}
