package com.mall.product.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "SpuCommentDTO对象", title = "商品评价", description = "商品评价的DTO对象")
public class SpuCommentDto {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "skuId", title = "sku_id")
    private Long skuId;

    @Schema(name = "spuId", title = "spu_id")
    private Long spuId;

    @Schema(name = "spuName", title = "商品名字")
    private String spuName;

    @Schema(name = "memberNickName", title = "会员昵称")
    private String memberNickName;

    @Schema(name = "star", title = "星级")
    private Boolean star;

    @Schema(name = "memberIp", title = "会员ip")
    private String memberIp;

    @Schema(name = "createTime", title = "创建时间")
    private LocalDateTime createTime;

    @Schema(name = "showStatus", title = "显示状态[0-不显示，1-显示]")
    private Boolean showStatus;

    @Schema(name = "spuAttributes", title = "购买时属性组合")
    private String spuAttributes;

    @Schema(name = "likesCount", title = "点赞数")
    private Integer likesCount;

    @Schema(name = "replyCount", title = "回复数")
    private Integer replyCount;

    @Schema(name = "resources", title = "评论图片/视频[json数据；[{type:文件类型,url:资源路径}]]")
    private String resources;

    @Schema(name = "content", title = "内容")
    private String content;

    @Schema(name = "memberIcon", title = "用户头像")
    private String memberIcon;

    @Schema(name = "commentType", title = "评论类型[0 - 对商品的直接评论，1 - 对评论的回复]")
    private Integer commentType;

}