package com.mall.product.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

@Getter
@Setter
@Accessors(chain = true)
@TableName("pms_attr")
@Schema(name = "Attr对象", title = "商品属性", description = "商品属性的实体类对象")
public class Attr {

    @Schema(name = "attrId", title = "属性id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long attrId;

    @Schema(name = "attrName", title = "属性名")
    private String attrName;

    @Schema(name = "searchType", title = "是否需要检索[0-不需要，1-需要]")
    private Integer searchType;

    @Schema(name = "valueType", title = "值类型[0-为单个值，1-可以选择多个值]")
    private Integer valueType;

    @Schema(name = "icon", title = "属性图标")
    private String icon;

    @Schema(name = "valueSelect", title = "可选值列表[用逗号分隔]")
    private String valueSelect;

    @Schema(name = "attrType", title = "属性类型[0-销售属性，1-基本属性，2-既是销售属性又是基本属性]")
    private Integer attrType;

    @Schema(name = "enable", title = "启用状态[0 - 禁用，1 - 启用]")
    private Long enable;

    @Schema(name = "catelogId", title = "所属分类")
    private Long catelogId;

    @Schema(name = "showDesc", title = "快速展示【是否展示在介绍上；0-否 1-是】，在sku中仍然可以调整")
    private Integer showDesc;

}