package com.mall.product.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

@Getter
@Setter
@Accessors(chain = true)
@TableName("pms_brand")
@Schema(name = "Brand对象", title = "品牌", description = "品牌的实体类对象")
public class Brand {

    @Schema(name = "brandId", title = "品牌id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long brandId;

    @Schema(name = "name", title = "品牌名")
    private String name;

    @Schema(name = "logo", title = "品牌logo地址")
    private String logo;

    @Schema(name = "descript", title = "介绍")
    private String descript;

    @Schema(name = "showStatus", title = "显示状态[0-不显示；1-显示]")
    private Integer showStatus;

    @Schema(name = "firstLetter", title = "检索首字母")
    private String firstLetter;

    @Schema(name = "sort", title = "排序")
    private Integer sort;

}