package com.mall.product.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

@Getter
@Setter
@Accessors(chain = true)
@TableName("pms_sku_info")
@Schema(name = "SkuInfo对象", title = "sku信息", description = "sku信息的实体类对象")
public class SkuInfo {

    @Schema(name = "skuId", title = "skuId")
    @TableId(type = IdType.ASSIGN_ID)
    private Long skuId;

    @Schema(name = "spuId", title = "spuId")
    private Long spuId;

    @Schema(name = "skuName", title = "sku名称")
    private String skuName;

    @Schema(name = "skuDesc", title = "sku介绍描述")
    private String skuDesc;

    @Schema(name = "catalogId", title = "所属分类id")
    private Long catalogId;

    @Schema(name = "brandId", title = "品牌id")
    private Long brandId;

    @Schema(name = "skuDefaultImg", title = "默认图片")
    private String skuDefaultImg;

    @Schema(name = "skuTitle", title = "标题")
    private String skuTitle;

    @Schema(name = "skuSubtitle", title = "副标题")
    private String skuSubtitle;

    @Schema(name = "price", title = "价格")
    private BigDecimal price;

    @Schema(name = "saleCount", title = "销量")
    private Long saleCount;

}