package com.mall.product.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mall.product.domain.dto.AttrGroupDto;
import com.mall.product.domain.entity.AttrGroup;
import com.mall.product.domain.vo.AttrGroupVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 属性分组 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
@Mapper
public interface AttrGroupMapper extends BaseMapper<AttrGroup> {

    /**
     * * 分页查询属性分组内容
     *
     * @param pageParams 属性分组分页参数
     * @param dto        属性分组查询表单
     * @return 属性分组分页结果
     */
    IPage<AttrGroupVo> selectListByPage(@Param("page") Page<AttrGroup> pageParams, @Param("dto") AttrGroupDto dto);

}
