package com.mall.product.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mall.product.domain.dto.BrandDto;
import com.mall.product.domain.entity.Brand;
import com.mall.product.domain.vo.BrandVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 品牌 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
@Mapper
public interface BrandMapper extends BaseMapper<Brand> {

    /**
     * * 分页查询品牌内容
     *
     * @param pageParams 品牌分页参数
     * @param dto        品牌查询表单
     * @return 品牌分页结果
     */
    IPage<BrandVo> selectListByPage(@Param("page") Page<Brand> pageParams, @Param("dto") BrandDto dto);

}
