package com.mall.product.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mall.product.domain.dto.CommentReplayDto;
import com.mall.product.domain.entity.CommentReplay;
import com.mall.product.domain.vo.CommentReplayVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 商品评价回复关系 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
@Mapper
public interface CommentReplayMapper extends BaseMapper<CommentReplay> {

    /**
     * * 分页查询商品评价回复关系内容
     *
     * @param pageParams 商品评价回复关系分页参数
     * @param dto        商品评价回复关系查询表单
     * @return 商品评价回复关系分页结果
     */
    IPage<CommentReplayVo> selectListByPage(@Param("page") Page<CommentReplay> pageParams, @Param("dto") CommentReplayDto dto);

}
