package com.mall.product.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mall.product.domain.dto.SkuImagesDto;
import com.mall.product.domain.entity.SkuImages;
import com.mall.product.domain.vo.SkuImagesVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * sku图片 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
@Mapper
public interface SkuImagesMapper extends BaseMapper<SkuImages> {

    /**
     * * 分页查询sku图片内容
     *
     * @param pageParams sku图片分页参数
     * @param dto        sku图片查询表单
     * @return sku图片分页结果
     */
    IPage<SkuImagesVo> selectListByPage(@Param("page") Page<SkuImages> pageParams, @Param("dto") SkuImagesDto dto);

}
