package com.mall.product.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mall.product.domain.dto.SpuCommentDto;
import com.mall.product.domain.entity.SpuComment;
import com.mall.product.domain.vo.SpuCommentVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 商品评价 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
@Mapper
public interface SpuCommentMapper extends BaseMapper<SpuComment> {

    /**
     * * 分页查询商品评价内容
     *
     * @param pageParams 商品评价分页参数
     * @param dto        商品评价查询表单
     * @return 商品评价分页结果
     */
    IPage<SpuCommentVo> selectListByPage(@Param("page") Page<SpuComment> pageParams, @Param("dto") SpuCommentDto dto);

}
