package com.mall.product.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mall.product.domain.dto.SpuImagesDto;
import com.mall.product.domain.entity.SpuImages;
import com.mall.product.domain.vo.SpuImagesVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * spu图片 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
@Mapper
public interface SpuImagesMapper extends BaseMapper<SpuImages> {

    /**
     * * 分页查询spu图片内容
     *
     * @param pageParams spu图片分页参数
     * @param dto        spu图片查询表单
     * @return spu图片分页结果
     */
    IPage<SpuImagesVo> selectListByPage(@Param("page") Page<SpuImages> pageParams, @Param("dto") SpuImagesDto dto);

}
