package com.mall.product.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.product.domain.dto.AttrAttrgroupRelationDto;
import com.mall.product.domain.entity.AttrAttrgroupRelation;
import com.mall.product.domain.vo.AttrAttrgroupRelationVo;

import java.util.List;

/**
 * <p>
 * 属性&属性分组关联 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
public interface AttrAttrgroupRelationService extends IService<AttrAttrgroupRelation> {

    /**
     * 分页查询属性&属性分组关联
     *
     * @return {@link AttrAttrgroupRelationVo}
     */
    PageResult<AttrAttrgroupRelationVo> getAttrAttrgroupRelationPage(Page<AttrAttrgroupRelation> pageParams, AttrAttrgroupRelationDto dto);

    /**
     * 添加属性&属性分组关联
     *
     * @param dto {@link AttrAttrgroupRelationDto} 添加表单
     */
    void addAttrAttrgroupRelation(AttrAttrgroupRelationDto dto);

    /**
     * 更新属性&属性分组关联
     *
     * @param dto {@link AttrAttrgroupRelationDto} 更新表单
     */
    void updateAttrAttrgroupRelation(AttrAttrgroupRelationDto dto);

    /**
     * 删除|批量删除属性&属性分组关联类型
     *
     * @param ids 删除id列表
     */
    void deleteAttrAttrgroupRelation(List<Long> ids);
}
