package com.mall.product.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.product.domain.dto.AttrGroupDto;
import com.mall.product.domain.entity.AttrGroup;
import com.mall.product.domain.vo.AttrGroupVo;

import java.util.List;

/**
 * <p>
 * 属性分组 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
public interface AttrGroupService extends IService<AttrGroup> {

    /**
     * 分页查询属性分组
     *
     * @return {@link AttrGroupVo}
     */
    PageResult<AttrGroupVo> getAttrGroupPage(Page<AttrGroup> pageParams, AttrGroupDto dto);

    /**
     * 添加属性分组
     *
     * @param dto {@link AttrGroupDto} 添加表单
     */
    void addAttrGroup(AttrGroupDto dto);

    /**
     * 更新属性分组
     *
     * @param dto {@link AttrGroupDto} 更新表单
     */
    void updateAttrGroup(AttrGroupDto dto);

    /**
     * 删除|批量删除属性分组类型
     *
     * @param ids 删除id列表
     */
    void deleteAttrGroup(List<Long> ids);
}
