package com.mall.product.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.product.domain.dto.AttrDto;
import com.mall.product.domain.entity.Attr;
import com.mall.product.domain.vo.AttrVo;

import java.util.List;

/**
 * <p>
 * 商品属性 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
public interface AttrService extends IService<Attr> {

    /**
     * 分页查询商品属性
     *
     * @return {@link AttrVo}
     */
    PageResult<AttrVo> getAttrPage(Page<Attr> pageParams, AttrDto dto);

    /**
     * 添加商品属性
     *
     * @param dto {@link AttrDto} 添加表单
     */
    void addAttr(AttrDto dto);

    /**
     * 更新商品属性
     *
     * @param dto {@link AttrDto} 更新表单
     */
    void updateAttr(AttrDto dto);

    /**
     * 删除|批量删除商品属性类型
     *
     * @param ids 删除id列表
     */
    void deleteAttr(List<Long> ids);
}
