package com.mall.product.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.product.domain.dto.CategoryDto;
import com.mall.product.domain.entity.Category;
import com.mall.product.domain.vo.CategoryVo;

import java.util.List;

/**
 * <p>
 * 商品三级分类 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
public interface CategoryService extends IService<Category> {

    /**
     * 分页查询商品三级分类
     *
     * @return {@link CategoryVo}
     */
    PageResult<CategoryVo> getCategoryPage(Page<Category> pageParams, CategoryDto dto);

    /**
     * 添加商品三级分类
     *
     * @param dto {@link CategoryDto} 添加表单
     */
    void addCategory(CategoryDto dto);

    /**
     * 更新商品三级分类
     *
     * @param dto {@link CategoryDto} 更新表单
     */
    void updateCategory(CategoryDto dto);

    /**
     * 删除|批量删除商品三级分类类型
     *
     * @param ids 删除id列表
     */
    void deleteCategory(List<Long> ids);
}
