package com.mall.product.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.product.domain.dto.ProductAttrValueDto;
import com.mall.product.domain.entity.ProductAttrValue;
import com.mall.product.domain.vo.ProductAttrValueVo;

import java.util.List;

/**
 * <p>
 * spu属性值 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
public interface ProductAttrValueService extends IService<ProductAttrValue> {

    /**
     * 分页查询spu属性值
     *
     * @return {@link ProductAttrValueVo}
     */
    PageResult<ProductAttrValueVo> getProductAttrValuePage(Page<ProductAttrValue> pageParams, ProductAttrValueDto dto);

    /**
     * 添加spu属性值
     *
     * @param dto {@link ProductAttrValueDto} 添加表单
     */
    void addProductAttrValue(ProductAttrValueDto dto);

    /**
     * 更新spu属性值
     *
     * @param dto {@link ProductAttrValueDto} 更新表单
     */
    void updateProductAttrValue(ProductAttrValueDto dto);

    /**
     * 删除|批量删除spu属性值类型
     *
     * @param ids 删除id列表
     */
    void deleteProductAttrValue(List<Long> ids);
}
