package com.mall.product.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.product.domain.dto.SpuInfoDto;
import com.mall.product.domain.entity.SpuInfo;
import com.mall.product.domain.vo.SpuInfoVo;

import java.util.List;

/**
 * <p>
 * spu信息 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
public interface SpuInfoService extends IService<SpuInfo> {

    /**
     * 分页查询spu信息
     *
     * @return {@link SpuInfoVo}
     */
    PageResult<SpuInfoVo> getSpuInfoPage(Page<SpuInfo> pageParams, SpuInfoDto dto);

    /**
     * 添加spu信息
     *
     * @param dto {@link SpuInfoDto} 添加表单
     */
    void addSpuInfo(SpuInfoDto dto);

    /**
     * 更新spu信息
     *
     * @param dto {@link SpuInfoDto} 更新表单
     */
    void updateSpuInfo(SpuInfoDto dto);

    /**
     * 删除|批量删除spu信息类型
     *
     * @param ids 删除id列表
     */
    void deleteSpuInfo(List<Long> ids);
}
